Get balance
curl --request GET \
--url https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner} \
--header 'Authorization: Bearer <token>'import requests
url = "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body123Token Management
Balance
Retrieves the token balance for a specific wallet address on the blockchain. To use this endpoint, you’ll need the token-address that was returned by the createAndMintToken endpoint when the token was initially created. This token-address acts as an identifier within OmniSafe for the specific token you are querying. The owner parameter specifies the wallet address for which you want to retrieve the token balance.
GET
/
v1
/
tokens
/
{token-address}
/
{owner}
Get balance
curl --request GET \
--url https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner} \
--header 'Authorization: Bearer <token>'import requests
url = "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens/{token-address}/{owner}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body123Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The address of the token, ETH for Ethereum.
The address of the owner.
Response
200 - application/json
Wallet balance
The response is of type number.